<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Hizmetler extends MY_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->model('ekstrasayfalar_model');
        $this->load->helper('text_helper');
    }

    public function index()
    {
        $viewData = new stdClass(); 
        
        $duyurular = $this->ekstrasayfalar_model->get_all
        (
            array
            (
               "icerikkodu" => "hizmetler",
               "isActive"   => 1
            ), "rank ASC"
        );
       
        $viewData->hizmetler     = $duyurular;
        $viewData->urunler_footer = $this->urunler_footer;
        $viewData->hizmetler_footer = $this->hizmetler_footer;
        $viewData->sayfa        = "anasayfa";
        $viewData->folder_name  = "ekstrasayfalar_v";
        $viewData->img_tur_name = "hizmetler";
        $viewData->nerdengeliyorum = "";
        //$viewData->kur= $this->kurlar;

        $this->load->view('hizmetler', $viewData);
    }





    public function hizmetlerdetay($urunid,$urunadi)
    {
        $viewData = new StdClass();

        $this->load->model('ekstrasayfalar_model');

        $hizmetler = $this->ekstrasayfalar_model->get
        (
            array
            (
               "id" => $urunid,
               "isActive"   => 1
            ), "rank ASC"
        );

        $hizmetler_coklu = $this->ekstrasayfalar_model->get_all
        (
            array
            (
                "icerikkodu" => "hizmetler",
                "isActive"   => 1
            ), "rank ASC"
        );



         $this->load->model('imageupload_model');
        $itemsSlider = $this->imageupload_model->get_all
        (
            array
            (
               "kind"       => "hizmetler",
               "urunid"     => $urunid,
               "isActive"   => 1
            ), "rank ASC"
        );


      
        $viewData->urunler_footer = $this->urunler_footer;
        $viewData->hizmetler_footer = $this->hizmetler_footer;
        $viewData->hizmetler     = $hizmetler;
        $viewData->dgorsel      = $itemsSlider;
        $viewData->galeri       = $itemsSlider;
        $viewData->solMenu       = $hizmetler_coklu;
        $viewData->sayfa        = "urun_detay";
        $viewData->ayar_detay   = $hizmetler;
        $viewData->folder_name  = "ekstrasayfalar_v";
        $viewData->img_tur_name = "kampanyalar";
        $viewData->nerdengeliyorum = "";
        //$viewData->kur= $this->kurlar;

        $this->load->view('hizmetlerdetay', $viewData);
    }
}
